
%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:                   conmon
Version:                2.0.20
Release:                3%{?dist}
Summary:                An OCI container runtime monitor
License:                Apache-2.0
Url:                    https://github.com/containers/conmon
Source:                 %{name}-%{version}.tar.bz2
Vendor:                 Oracle America

BuildRequires:          git
BuildRequires:          gcc
BuildRequires:          make
BuildRequires:          glibc-static
BuildRequires:          glib2-devel
BuildRequires:          glibc-devel
BuildRequires:          pkgconfig

%description
Conmon is a monitoring program and communication tool between a container manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a single container.

%prep
%setup -n %{name}-%{version}

%build
%{__make} bin/conmon

%install
%{__make} PREFIX=%{buildroot}%{_libexecdir}/crio BINDIR=%{buildroot}%{_libexecdir}/crio install
install -dp %{buildroot}{%{_bindir},%{_libexecdir}/crio}
# Latest version of podman expecting conman at different location
ln -sf %{_libexecdir}/crio/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%attr(755,root,root) %{_libexecdir}/crio/%{name}
%{_bindir}/%{name}
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Fri Nov 20 2020 Murali Annamneni <murali.annamneni@oracle.com> 2.0.20-3
- Add symlink for conmon under bin dir to satisfy latest podman

* Wed Oct 14 2020 Michael Thompson <michael.a.thompson@oracle.com> - 2.0.20-2
- Update for building OL8 RPMs.

* Tue Jul 28 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 2.0.20-1
- Added build scripts
